package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[任务时刻策略分钟类型]
 */
@Component("ionicdemo_TSMinuteTypeCodeList")
public class TSMinuteTypeCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_TSMinuteType");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("ZERO");
		item0.setId("ZERO");
		item0.setText("0分");
		item0.setLabel("0分");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("ZERO",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("EVERY");
		item1.setId("EVERY");
		item1.setText("每分钟");
		item1.setLabel("每分钟");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("EVERY",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue("SOME");
		item2.setId("SOME");
		item2.setText("指定分钟");
		item2.setLabel("指定分钟");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("SOME",item2);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}